.insta-section {
  padding-top: 38px;
  padding-bottom: 42px;

  &__heading {
    margin-bottom: 13px;
    @include text-style(14px, bold, $color-text-header, uppercase, 22px);
  }

  &__insta-page-link {
    display: none;
  }

  &__shots {
    @include flex(flex-start, center);
  }

  &__short {
    width: 70%;

    &:nth-child(2),
    &:nth-child(3),
    &:nth-child(4) {
      display: none;
    }
  }
}

@include tablet {
  .insta-section {
    padding-top: 47px;
    padding-bottom: 50px;
    background-color: rgba(0, 0, 0, 0.03);

    .wrapper {
      position: relative;
    }

    &__heading {
      margin-bottom: 35px;
      font-size: 16px;
    }

    &__insta-page-link {
      position: absolute;
      top: 0;
      right: 0;
      display: block;
      text-decoration: none;
      @include text-style(13px, bold, $color-text-header, uppercase, 22px);
    }

    &__short {
      flex-grow: 1;
      margin-right: 1%;
      width: 250px;

      &:nth-child(2),
      &:nth-child(3) {
        display: block;
      }
    }
  }
}

@include desktop {
  .insta-section {

    &__insta-page-link {
      right: 15px;
    }

    &__short {
      width: 24%;

      &:last-child {
        display: block;
      }
    }
  }
}